Subject: [Sipping] Call/Conference Event Package

From: Sean Olson <[email-masked]>
Date: Thu, 21 Mar 2002 11:02:07 -0800 (PST)

Here are some basic comments:

1) The route set might be interesting from a
diagnostic point of view for one of the endpoints
of the dialog, but I can't imagine it being 
terribly useful for a third party outside the dialog.
I would recommend removing this optional element.

2) Instead of just carrying the URI for the 
   local/remote party, I would recommend a full
   name-addr. This can be parsed into components if
   that is helpful (display name, URI)

3) For the status of a dialog, it might be useful to
   have a state model instead. I hate the idea, but
   using 0/-1 seems odd and just including the status
   code omits some important state information,
   particularly regarding things like transfer.

   At the very least, I would recommend replacing 
   0 with 100 as they are close enough for most
   purposes. Replace -1 with 481 (????) or better
   yet just remove it from the dialog list and send
   a NOTIFY.

4) Change "local-sdp"/"remote-sdp" to
local-session-description / remote-session-description
(very small
nit)

5) How do we handle UPDATE/re-INVITE?

6) Filtering of the NOTIFYs for the dialog event 
   package seems to be very useful. While it is 
   possible to include a filter in the SUBSCRIBE
   body, no proposed syntax exists for such a filter.
   I propose a filter based on remote-uri. This would
   be a simple XML fragment.

7) The media stream type for the conference package
   should probably be a list of MIME types(?) It
   would be nice to know more than this is "audio"
   conference. Knowing this is a "G.723 audio 
   conference" would be nice. I realize this gets
   very nasty very quickly ... any other ideas?

8) It would be nice to know the method that initiated
   the dialog (INVITE vs. SUBSCRIBE) -- or is this
   intended solely for INVITE dialogs? (I see the
   overlap with the watcher template package)

9) Another interesting piece of data for dialogs/
   conferences is start time/duration. Just icing
   on the cake.

/sean

=====
Sean Olson <[email-masked]>

__________________________________________________
Do You Yahoo!?
Yahoo! Movies - coverage of the 74th Academy Awards®
http://movies.yahoo.com/

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP